\name{plot.rvbm}
\alias{plot.rvbm}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Diagnostics Plots for Variational Bayesian Multiclass Probit Regression}
\description{
  The \code{plot.rvbm} method plots the history of
  marginal likelihood lower bound, predictive likelihood, 
  test error and estimated covariance parameters 
  during the iterations of the Gaussian process computation.
}
\usage{
\method{plot}{rvbm}(x, \dots)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{x}{An S3 object that inherits from the class \code{rvbm}.}
  \item{\dots}{Not used.}
}
\author{
  Chi Yau\cr
  \email{chi.yau@r-tutor.com}
}
\note{
  This is a clone of the \code{plotDiagnostics} method in \code{vbmp}.
}
\seealso{\code{\link{rvbm}}, \code{vbmp}}

\examples{
\dontrun{
library(rpud)

x <- rvbm.sample.train$X
y <- rvbm.sample.train$t.class
model.rvbm <- rvbm( 
    x, y, x, y,
    theta = rep(1, ncol(x)), 
    control = list(
            sKernelType="gaussian", 
            bThetaEstimate=TRUE, 
            bMonitor=TRUE,
            maxIts=12,
            InfoLevel=1) 
)

plot(model.rvbm)

}}
\keyword{neural}% at least one, from doc/KEYWORDS
\keyword{classif}% __ONLY ONE__ keyword per line
\keyword{nonlinear}% __ONLY ONE__ keyword per line
